# Class: ContextRules

## ContextRules

#### new ContextRules(contextRules, context)

ContextRules constructor

##### Parameters:

Name | Type | Description
--- | --- | ---
`contextRules` | Array.<object> | array of JSON objects with server-parsed rule declarations
`context` | string | current business context

Source:
  - rules/ContextRules.js, line 9

### Methods

#### securityRules() → {Array.<object>}

Returns an object containing only security rules for this context

Source:
  - rules/ContextRules.js, line 34

##### Returns:

security rules

Type
  Array.<object>

#### validationRules() → {Array.<object>}

Returns an object containing only validation rules for this context

Source:
  - rules/ContextRules.js, line 20

##### Returns:

validation rules

Type
  Array.<object>